Package com.avaya.clientservices.media.audio

## Class AudioMixerConfig

- java.lang.Object
- - com.avaya.clientservices.media.audio.AudioMixerConfig

-     public class AudioMixerConfig
      extends java.lang.Object

  Contains configuration for audio mixer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AudioMixerConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AudioMergeMode` | `getMergeMode()` | Gets configured audio merge mode
    `AudioMixerMode` | `getMixerMode()` | Gets configured mixer mode
    `int` | `getSampleRate()` | Gets sample rate for audio stream
    `AudioMixerConfig` | `setMergeMode​(AudioMergeMode merge)` | Set mode audio streams merging
    `AudioMixerConfig` | `setMixerMode​(AudioMixerMode mode)` | Set mixer mode
    `AudioMixerConfig` | `setSampleRate​(int sampleRate)` | Sets sample rate for audio stream.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AudioMixerConfig

          public AudioMixerConfig()

  - ### Method Detail

    - #### setMixerMode

          public AudioMixerConfig setMixerMode​(AudioMixerMode mode)

      Set mixer mode
      Parameters:
        `mode` - mixer mode
      Returns:
        this object

    - #### getMixerMode

          public AudioMixerMode getMixerMode()

      Gets configured mixer mode
      Returns:
        configured mixer mode

    - #### setMergeMode

          public AudioMixerConfig setMergeMode​(AudioMergeMode merge)

      Set mode audio streams merging
      Parameters:
        `merge` - mode used for audio streams merging
      Returns:
        this object

    - #### getMergeMode

          public AudioMergeMode getMergeMode()

      Gets configured audio merge mode
      Returns:
        configured audio merge mode

    - #### setSampleRate

          public AudioMixerConfig setSampleRate​(int sampleRate)

      Sets sample rate for audio stream. Supported 48 kHz, 16 kHz, 8 kHz
      Parameters:
        `sampleRate` - target sample rate in Hz
      Returns:
        this object

    - #### getSampleRate

          public int getSampleRate()

      Gets sample rate for audio stream
      Returns:
        sample rate